<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de l&#39;espace de nommage src.usbThread</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacesrc_1_1usbThread.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence de l'espace de nommage src.usbThread</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html">abstractThreadUSB</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1threadCopyFromUSB.html">threadCopyFromUSB</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe pour les threads copiant depuis les clés USB.  <a href="classsrc_1_1usbThread_1_1threadCopyFromUSB.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1threadCopyToUSB.html">threadCopyToUSB</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe pour les threads copiant vers les clés USB.  <a href="classsrc_1_1usbThread_1_1threadCopyToUSB.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1threadDeleteInUSB.html">threadDeleteInUSB</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe pour les threads effaçant des sous-arbres dans les clés USB.  <a href="classsrc_1_1usbThread_1_1threadDeleteInUSB.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html">threadMoveFromUSB</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe pour les threads déplaçant des fichiers depuis les clés USB.  <a href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1ThreadRegister.html">ThreadRegister</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Une classe pour tenir un registre des threads concernant les baladeurs.  <a href="classsrc_1_1usbThread_1_1ThreadRegister.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a4c629171bff656efaddeb34a513e1299"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbThread.html#a4c629171bff656efaddeb34a513e1299">ensureDirExists</a> (destpath)</td></tr>
<tr class="memdesc:a4c629171bff656efaddeb34a513e1299"><td class="mdescLeft">&#160;</td><td class="mdescRight">force l'existence d'un répertoire, récursivement si nécessaire  <a href="namespacesrc_1_1usbThread.html#a4c629171bff656efaddeb34a513e1299">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4c629171bff656efaddeb34a513e1299"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedbb2e811d5c036de0da0d43463b5746"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbThread.html#aedbb2e811d5c036de0da0d43463b5746">test_copytree</a> ()</td></tr>
<tr class="memdesc:aedbb2e811d5c036de0da0d43463b5746"><td class="mdescLeft">&#160;</td><td class="mdescRight">Teste la fonction copytree.  <a href="namespacesrc_1_1usbThread.html#aedbb2e811d5c036de0da0d43463b5746">Plus de détails...</a><br /></td></tr>
<tr class="separator:aedbb2e811d5c036de0da0d43463b5746"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bd88e8e51e220293b0ba29178dbbe9c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbThread.html#a3bd88e8e51e220293b0ba29178dbbe9c">test_copy2</a> ()</td></tr>
<tr class="separator:a3bd88e8e51e220293b0ba29178dbbe9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4677c6916331c3d3792fb0a2b9e862ab"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbThread.html#a4677c6916331c3d3792fb0a2b9e862ab">licenceEn</a></td></tr>
<tr class="separator:a4677c6916331c3d3792fb0a2b9e862ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="a4c629171bff656efaddeb34a513e1299"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c629171bff656efaddeb34a513e1299">&#9670;&nbsp;</a></span>ensureDirExists()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.ensureDirExists </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>destpath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>force l'existence d'un répertoire, récursivement si nécessaire </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">destpath</td><td>le chemin de ce répertoire </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00036">36</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1usbThread_a4c629171bff656efaddeb34a513e1299_icgraph.png" border="0" usemap="#namespacesrc_1_1usbThread_a4c629171bff656efaddeb34a513e1299_icgraph" alt=""/></div>
<map name="namespacesrc_1_1usbThread_a4c629171bff656efaddeb34a513e1299_icgraph" id="namespacesrc_1_1usbThread_a4c629171bff656efaddeb34a513e1299_icgraph">
<area shape="rect" title="force l&#39;existence d&#39;un répertoire, récursivement si nécessaire" alt="" coords="228,78,425,105"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyToUSB.html#ab91e4a0c4670a522f49b9e47627b0ea4" title="La fonction abstraite pour les choses à faire." alt="" coords="7,5,179,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyFromUSB.html#a5d30a5a942b828b3832848a3827a4d0d" title="La fonction abstraite pour les choses à faire." alt="" coords="7,71,179,112"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#a6b2d86a20727d84cae07532959e8422a" title="La fonction abstraite pour les choses à faire." alt="" coords="5,136,180,177"/>
</map>
</div>

</div>
</div>
<a id="a3bd88e8e51e220293b0ba29178dbbe9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bd88e8e51e220293b0ba29178dbbe9c">&#9670;&nbsp;</a></span>test_copy2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.test_copy2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00569">569</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<a id="aedbb2e811d5c036de0da0d43463b5746"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedbb2e811d5c036de0da0d43463b5746">&#9670;&nbsp;</a></span>test_copytree()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.test_copytree </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Teste la fonction copytree. </p>

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00553">553</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des variables</h2>
<a id="a4677c6916331c3d3792fb0a2b9e862ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4677c6916331c3d3792fb0a2b9e862ab">&#9670;&nbsp;</a></span>licenceEn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string src.usbThread.licenceEn</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Valeur initiale :</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;= <span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="stringliteral">    file usbThread.py</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="stringliteral">    this file is part of the project scolasync</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="stringliteral">    Copyright (C) 2010-2012 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
</div><!-- fragment -->
<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00003">3</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1usbThread.html">usbThread</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
